### Function

# EDataServer OperationPool new

since: 3.2

#### Declaration [src]

    EOperationPool*
    e_operation_pool_new (
      guint max_threads,
      GFunc thread_func,
      gpointer user_data
    )

#### Description

No description available.

Available since: 3.2

This function is not directly available to language bindings.

#### Parameters

`max_threads`

  Type: `guint`

  Maximum number of threads for this pool.

`thread_func`

  Type: `GFunc`

  Function to run for a given thread.

`user_data`

  Type: `gpointer`

  The user data to pass to `thread_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `EOperationPool`

A new `EOperationPool` with the given settings. Free it with e_operation_pool_free(), when no longer needed.

The caller of the function takes ownership of the data, and is responsible for freeing it.